ros-noetic-controller-manager-tests (0.19.5-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Jun 2021 23:00:00 -0000

ros-noetic-controller-manager-tests (0.19.4-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-noetic-controller-manager-tests (0.19.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-controller-manager-tests (0.19.2-1focal) focal; urgency=high

  * Fixes part 2 of issue`#448 <https://github.com/ros-controls/ros_control/issues/448>`_ [Noetic] Rework and re-enable spawning and switching CLI tests (#462 <https://github.com/ros-controls/ros_control/issues/462>)
    * [tests] Split controller_manager_scripts.txt in two parts.
    The second part is now called controller_manager_interface_test.
    This fixes part 2 of issue #448 <https://github.com/ros-controls/ros_control/issues/448>
    * [test] Modification of the validation test.
    When commenting the first test (cm_msg_utils_test.py) the output
    is correct, while uncommented an inversion of the output happens.
    As this test is a pure python with no interaction with the
    controller_manager, it is very likely a race condition due either to
    Python or to the operating system. As the output is not fundamentally
    wrong, and as the tests are heavily relying on timing and subprocesses
    which are making the reproducibility difficult, this PR accepts both
    solution:
    [my_controller1, my_controller3] order
    or
    [my_controller3, my_controller1] order
  * Contributors: Olivier Stasse

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Aug 2020 23:00:00 -0000

ros-noetic-controller-manager-tests (0.19.1-1focal) focal; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 May 2020 23:00:00 -0000

ros-noetic-controller-manager-tests (0.19.0-1focal) focal; urgency=high

  * Disable flaky CLI spawn test (#446 <https://github.com/ros-controls/ros_control/issues/446>)
  * Update travis config and rosinstall for noetic (#439 <https://github.com/ros-controls/ros_control/issues/439>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Apr 2020 23:00:00 -0000

ros-noetic-controller-manager-tests (0.18.0-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-controller-manager-tests (0.17.0-1focal) focal; urgency=high

  * Use auto
  * Contributors: AbhinavSingh

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-noetic-controller-manager-tests (0.16.0-1focal) focal; urgency=high

  * Merge pull request #413 <https://github.com/ros-controls/ros_control/issues/413> from matthew-reynolds/range-for
    Use range-based for loop
  * Merge pull request #404 <https://github.com/ros-controls/ros_control/issues/404> from matthew-reynolds/catkin-lint
    Update CMakeLists.txt and package.xml
  * Use range-based for loops in controller_manager_tests
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Add ${catkin_EXPORTED_TARGETS} dependencies
  * Re-install test plugin libraries
  * Update package dependencies
  * Re-install test plugins
  * Add missing roscpp & rospy dependencies
  * Correct test dependencies
  * Remove installs from _tests packages
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Replace header guard with #pragma once
  * Update package.xml descriptions
  * Remove unused Boost dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #399 <https://github.com/ros-controls/ros_control/issues/399> from mvieth/melodic-devel
    Fix compiler warnings
  * Fix compiler warnings
    - Comment out unused parameters
    - Make some integer literals unsigned to avoid comparison between signed and unsigned
    - Remove unnecessary semicolons
    - Make const void return type to void
  * Merge pull request #398 <https://github.com/ros-controls/ros_control/issues/398> from matthew-reynolds/revert-cmake
    Revert CMake include_directories as SYSTEM
  * Revert CMake include_directories as SYSTEM
  * Merge pull request #396 <https://github.com/ros-controls/ros_control/issues/396> from pal-robotics-forks/small-fixes
    Small fixes
  * Fix build error in clang
    error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * Multi-update cycle mode switch (#391 <https://github.com/ros-controls/ros_control/issues/391>)
    For more info: https://github.com/pal-robotics-forks/ros_control2/pull/5
    * Added tests for ControllerManager update
    * Mocks for controllers and controller loader in update test
    * Divided in tests with and without controllers
    * Controller state initialized in mock
    * Moved mocks to test class
    * All tests using mock class
    * Test for multiple updates in a single controller
    * Added new switchResult() function to RobotHW interface
    ControllerManager uses this function to wait for the result of the
    doSwitch() before starting the new set of controllers
    * Using ranged based loops
    * Switch is now managed in a separate function
    * Option to start controllers as soon as their joints are ready after a switch
    * Tests for controller_interface API
    * Added new STOPPED, WAITING and ABORTED states to ControllerBase
    * Split manageSwitch() into smaller functions
    * Abort pending controllers in case of switch error
    * Changed default behaviour of new switch param
    This way if it not set it will be the same behaviour as previous version
    * Added timeout parameter to switch controller
    * Removed unnecessary includes
    * Using target_include_directories for the test
    * std::all_of instead of std::count_if
    * Deleted autogenerated file
    * Adapted tests to changes in controller_manager
    * Adapted python implementation to new parameters in SwitchController
    * Added missing parameter description docstring
    * Moved all parameters used for switching to a separate object
    * Moved error messages to controller_base
    * State check functions are now const
    * Removed unnecessary comments
    * Added constants for start_asap and timeout default parameters values
  * Adapted python implementation to new parameters in SwitchController
  * Adapted tests to changes in controller_manager
  * fix install destination (#377 <https://github.com/ros-controls/ros_control/issues/377>)
  * Contributors: Bence Magyar, James Xu, Jordan Palacios, Markus Vieth, Matt Reynolds, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000

ros-noetic-controller-manager-tests (0.15.1-1focal) focal; urgency=high

  * Added quotes for controller name and controller type in warnings and errors
  * Update expected text in tests to have '' around controller names
  * Contributors: Bence Magyar, Gennaro Raiola

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Sep 2018 23:00:00 -0000

ros-noetic-controller-manager-tests (0.15.0-1focal) focal; urgency=high

  * Add controller_group script that allows switching groups easily
  * Contributors: Enrique Fernández Perdomo, Yong Li

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 May 2018 23:00:00 -0000

ros-noetic-controller-manager-tests (0.14.2-1focal) focal; urgency=high

  * Update maintainers
  * pluginlib: .h -> .hpp
  * Fix catkin_lint errors and warnings
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-noetic-controller-manager-tests (0.14.1-1focal) focal; urgency=high

  * Fix controller_manager_interface and add unit tests.
  * Contributors: Yong Li

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-noetic-controller-manager-tests (0.14.0-1focal) focal; urgency=high

  * Copyright blocks.
  * Tests for extensible controllers.
  * migrate to new class list macros header
  * add tests for controller_manager scripts and nodes
  * Contributors: Mathias Lüdtke, Mike Purvis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-noetic-controller-manager-tests (0.13.0-1focal) focal; urgency=high

  * Drop includes from CMake library build.
  * Contributors: Mike Purvis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-noetic-controller-manager-tests (0.12.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-noetic-controller-manager-tests (0.11.5-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-noetic-controller-manager-tests (0.11.4-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-noetic-controller-manager-tests (0.11.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-noetic-controller-manager-tests (0.11.2-1focal) focal; urgency=high

  * Add Enrique and Bence to maintainer list
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-noetic-controller-manager-tests (0.11.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-noetic-controller-manager-tests (0.11.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-noetic-controller-manager-tests (0.10.1-1focal) focal; urgency=high

  * Add missing test dependency on rosservice
  * Remove control_toolbox dependency. Fix thread linking error coming from removal of dependency.
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-noetic-controller-manager-tests (0.10.0-1focal) focal; urgency=high

  * Cleaner test exit
  * Extend test suite
    - Exercise much more of the controller_manager ROS API.
    - Create multi-interface test controllers and exercise them in tests.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-noetic-controller-manager-tests (0.9.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 04 May 2015 23:00:00 -0000

ros-noetic-controller-manager-tests (0.9.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-noetic-controller-manager-tests (0.9.1-1focal) focal; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-noetic-controller-manager-tests (0.9.0-1focal) focal; urgency=high

  * Tests for Python helpers added to controller_manager_msgs
  * Buildsystem and documentation fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn, shadowmanos

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-noetic-controller-manager-tests (0.8.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-noetic-controller-manager-tests (0.8.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-noetic-controller-manager-tests (0.8.0-1focal) focal; urgency=high

  * controller_manager_tests: fix library linking
    From patch provided by po1 on hydro-devel.
  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 May 2014 23:00:00 -0000

ros-noetic-controller-manager-tests (0.7.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-noetic-controller-manager-tests (0.7.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-noetic-controller-manager-tests (0.7.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-noetic-controller-manager-tests (0.6.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-noetic-controller-manager-tests (0.5.8-1focal) focal; urgency=high

  * Renamed manifest.xml to prevent conflicts with rosdep
  * CMakeLists fix to fit with OpenEmbedded/Yocto meta-ros layer.
    Increase the compatibility of the ros_control code with
    meta-ros, an OpenEmbedded/Yocto layer that provides recipes for ROS
    packages disabling catking checking the variable CATKIN_ENABLE_TESTING.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Oct 2013 23:00:00 -0000

ros-noetic-controller-manager-tests (0.5.7-1focal) focal; urgency=high

  * Updated changelogs

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Jul 2013 23:00:00 -0000

ros-noetic-controller-manager-tests (0.5.6-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-noetic-controller-manager-tests (0.5.5-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-noetic-controller-manager-tests (0.5.4-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-noetic-controller-manager-tests (0.5.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-noetic-controller-manager-tests (0.5.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-noetic-controller-manager-tests (0.5.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 18 Jul 2013 23:00:00 -0000

ros-noetic-controller-manager-tests (0.5.0-1focal) focal; urgency=high

  * Add meta tags to packages not specifying them.
    - Website, bugtracker, repository.
  * adding install targets for plugin xml files
  * Tests build.
  * Fix build order.
  * Revert "Fixed PLUGINLIB_DECLARE_CLASS deprecated errors"
    This reverts commit cd9aba265a380bafebb70d63081405d857e9380d.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-noetic-controller-manager-tests (0.4.0-1focal) focal; urgency=high

  * Version 0.4.0
  * 1.0.1
  * Fixed PLUGINLIB_DECLARE_CLASS deprecated errors
  * More uniform hardware_interface API. Refs  #45 <https://github.com/davetcoleman/ros_control/issues/45>.
  * adding install targets
  * adding missing manifests
  * merging CMakeLists.txt files from rosbuild and catkin
  * adding hybrid-buildsystem makefiles
  * catkinizing, could still be cleaned up
  * port to new time api
  * add wait for service
  * Adding in resource/claim infrastructure
  * Refactoring joint command interfaces. Also added getJointNames()
  * Switching to owned interfaces, instead of multiple virtual inheritance
  * Changing interface names
  * Getting tests compiling again
  * Fixing copyright header text
  * Joint interfaces now operate on pointers, instead of refs
  * test for spawning mismatched interface fails correctly
  * Basic spawn test works
  * Spawning dummy controller works
  * Tweaking inheritance to be virtual so it compiles. dummy app with controller manager compiles
  * started controller_manager_tests. untested

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Jun 2013 23:00:00 -0000


